> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coingecko.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Pools & Tokens

> This endpoint allows you to **search for pools on a network by pool address, token name, token symbol, or token contract address**

<Tip>
  ### Tips

  * You may use this endpoint to search for pools by pool contract address, token name, token symbol, or token contract address. The endpoint will return matching pools as a response.
  * You may include values such as `page` to specify which page of responses you would like to show.
</Tip>

<Note>
  ### Note

  * If the token's market cap is not verified by the team, the API response will return `null` for its market cap value, even though it has a displayed value on GeckoTerminal, which might not be accurate as it often matches the Fully Diluted Valuation (FDV).
  * Attributes specified in the `include` param will be returned under the top-level "included" key.
  * This endpoint returns up to 20 pools per page. Use the `page` param to navigate more results.
  * `page`: Pagination beyond 10 pages is available for [Paid Plan](https://www.coingecko.com/en/api/pricing) subscribers (Analyst plan or above).
  * Cache / Update Frequency: every 30 seconds.
</Note>


## OpenAPI

````yaml api-reference/onchain-pro.json get /search/pools
openapi: 3.0.0
info:
  title: Onchain DEX API (Pro)
  version: 3.0.0
servers:
  - url: https://pro-api.coingecko.com/api/v3/onchain
security:
  - apiKeyAuth: []
  - apiKeyQueryParam: []
paths:
  /search/pools:
    get:
      tags:
        - Search
      summary: Search Pools & Tokens
      description: >-
        This endpoint allows you to **search for pools on a network by pool
        address, token name, token symbol, or token contract address**
      operationId: search-pools
      parameters:
        - name: query
          in: query
          description: >-
            search query, can be pool contract address, token name, token
            symbol, or token contract address
          schema:
            type: string
            example: weth
            default: weth
        - name: network
          in: query
          description: |-
            network ID 
             *refers to [/networks](/reference/networks-list)
          schema:
            type: string
            example: eth
            default: eth
        - name: include
          in: query
          required: false
          description: |-
            attributes to include, comma-separated if more than one to include 
             Available values: `base_token`, `quote_token`, `dex`
          schema:
            type: string
            default: base_token
          examples:
            one value:
              value: base_token
            multiple values:
              value: base_token,quote_token,dex
        - name: page
          in: query
          required: false
          description: |-
            page through results 
             Default value: 1
          schema:
            type: integer
      responses:
        '200':
          description: Search for pools on a network
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PoolOld'
components:
  schemas:
    PoolOld:
      type: object
      properties:
        data:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              type:
                type: string
              attributes:
                type: object
                properties:
                  base_token_price_usd:
                    type: string
                  base_token_price_native_currency:
                    type: string
                  quote_token_price_usd:
                    type: string
                  quote_token_price_native_currency:
                    type: string
                  base_token_price_quote_token:
                    type: string
                  quote_token_price_base_token:
                    type: string
                  address:
                    type: string
                  name:
                    type: string
                  pool_created_at:
                    type: string
                  fdv_usd:
                    type: string
                    nullable: true
                  market_cap_usd:
                    type: string
                    nullable: true
                  price_change_percentage:
                    type: object
                    properties:
                      m5:
                        type: string
                      m15:
                        type: string
                      m30:
                        type: string
                      h1:
                        type: string
                      h6:
                        type: string
                      h24:
                        type: string
                  transactions:
                    type: object
                    properties:
                      m5:
                        type: object
                        properties:
                          buys:
                            type: integer
                          sells:
                            type: integer
                          buyers:
                            type: integer
                          sellers:
                            type: integer
                      m15:
                        type: object
                        properties:
                          buys:
                            type: integer
                          sells:
                            type: integer
                          buyers:
                            type: integer
                          sellers:
                            type: integer
                      m30:
                        type: object
                        properties:
                          buys:
                            type: integer
                          sells:
                            type: integer
                          buyers:
                            type: integer
                          sellers:
                            type: integer
                      h1:
                        type: object
                        properties:
                          buys:
                            type: integer
                          sells:
                            type: integer
                          buyers:
                            type: integer
                          sellers:
                            type: integer
                      h6:
                        type: object
                        properties:
                          buys:
                            type: integer
                          sells:
                            type: integer
                          buyers:
                            type: integer
                          sellers:
                            type: integer
                      h24:
                        type: object
                        properties:
                          buys:
                            type: integer
                          sells:
                            type: integer
                          buyers:
                            type: integer
                          sellers:
                            type: integer
                  volume_usd:
                    type: object
                    properties:
                      m5:
                        type: string
                      m15:
                        type: string
                      m30:
                        type: string
                      h1:
                        type: string
                      h6:
                        type: string
                      h24:
                        type: string
                  reserve_in_usd:
                    type: string
              relationships:
                type: object
                properties:
                  base_token:
                    type: object
                    properties:
                      data:
                        type: object
                        properties:
                          id:
                            type: string
                          type:
                            type: string
                  quote_token:
                    type: object
                    properties:
                      data:
                        type: object
                        properties:
                          id:
                            type: string
                          type:
                            type: string
                  network:
                    type: object
                    properties:
                      data:
                        type: object
                        properties:
                          id:
                            type: string
                          type:
                            type: string
                  dex:
                    type: object
                    properties:
                      data:
                        type: object
                        properties:
                          id:
                            type: string
                          type:
                            type: string
        included:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              type:
                type: string
              attributes:
                type: object
                properties:
                  address:
                    type: string
                  name:
                    type: string
                  symbol:
                    type: string
                  decimals:
                    type: integer
                  image_url:
                    type: string
                  coingecko_coin_id:
                    type: string
      example:
        data:
          - id: eth_0x88e6a0c2ddd26feeb64f039a2c41296fcb3f5640
            type: pool
            attributes:
              base_token_price_usd: '3653.12491645176'
              base_token_price_native_currency: '1.0'
              quote_token_price_usd: '0.998343707926245'
              quote_token_price_native_currency: '0.000273040545093221'
              base_token_price_quote_token: '3662.46'
              quote_token_price_base_token: '0.00027304'
              address: '0x88e6a0c2ddd26feeb64f039a2c41296fcb3f5640'
              name: WETH / USDC 0.05%
              pool_created_at: '2021-12-29T12:35:14Z'
              fdv_usd: '11007041041'
              market_cap_usd: null
              price_change_percentage:
                m5: '0'
                m15: '0.21'
                m30: '0.31'
                h1: '0.51'
                h6: '0.86'
                h24: '7.71'
              transactions:
                m5:
                  buys: 7
                  sells: 2
                  buyers: 7
                  sellers: 2
                m15:
                  buys: 19
                  sells: 27
                  buyers: 19
                  sellers: 27
                m30:
                  buys: 49
                  sells: 61
                  buyers: 45
                  sellers: 57
                h1:
                  buys: 97
                  sells: 144
                  buyers: 83
                  sellers: 124
                h6:
                  buys: 394
                  sells: 374
                  buyers: 270
                  sellers: 306
                h24:
                  buys: 2966
                  sells: 3847
                  buyers: 1625
                  sellers: 2399
              volume_usd:
                m5: '868581.7348314'
                m15: '2056262.885098'
                m30: '4081230.098456'
                h1: '16798158.0138526'
                h6: '164054610.850188'
                h24: '536545444.904535'
              reserve_in_usd: '163988541.3812'
            relationships:
              base_token:
                data:
                  id: eth_0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2
                  type: token
              quote_token:
                data:
                  id: eth_0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48
                  type: token
              network:
                data:
                  id: eth
                  type: network
              dex:
                data:
                  id: uniswap_v3
                  type: dex
        included:
          - id: eth_0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2
            type: token
            attributes:
              address: '0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2'
              name: Wrapped Ether
              symbol: WETH
              decimals: 18
              image_url: >-
                https://assets.coingecko.com/coins/images/2518/small/weth.png?1696503332
              coingecko_coin_id: weth
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-cg-pro-api-key
    apiKeyQueryParam:
      type: apiKey
      in: query
      name: x_cg_pro_api_key

````